View Issue Details

IDProjectCategoryView StatusLast Update
0015937LazarusPatchpublic2010-03-15 08:31
ReporterDmitry Boyarintsev Assigned ToFelipe Monteiro de Carvalho  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Fixed in Version0.9.29 (SVN) 
Summary0015937: implements file-sort type for ShellTreeView
DescriptionThe patch allows to select sorting type for the populating items in ShellTreeView.

For windows it might be user-friendliness feature. Since the Explorer puts directories first, instead of mixing them with the files. So windows user expects that directories always come first in files lists (that's treeview)
TagsNo tags attached.
Fixed in Revision23983
LazTarget-
Widgetset
Attached Files

Activities

2010-03-09 14:07

 

shellctrlsort.zip (1,777 bytes)

Felipe Monteiro de Carvalho

2010-03-14 01:41

developer   ~0035469

thanks, applied, please test and close if ok

Issue History

Date Modified Username Field Change
2010-03-09 14:07 Dmitry Boyarintsev New Issue
2010-03-09 14:07 Dmitry Boyarintsev File Added: shellctrlsort.zip
2010-03-09 14:07 Dmitry Boyarintsev LazTarget => -
2010-03-09 14:08 Dmitry Boyarintsev Status new => assigned
2010-03-09 14:08 Dmitry Boyarintsev Assigned To => Felipe Monteiro de Carvalho
2010-03-14 01:41 Felipe Monteiro de Carvalho Fixed in Revision => 23983
2010-03-14 01:41 Felipe Monteiro de Carvalho Status assigned => resolved
2010-03-14 01:41 Felipe Monteiro de Carvalho Fixed in Version => 0.9.29 (SVN)
2010-03-14 01:41 Felipe Monteiro de Carvalho Resolution open => fixed
2010-03-14 01:41 Felipe Monteiro de Carvalho Note Added: 0035469
2010-03-15 08:31 Dmitry Boyarintsev Status resolved => closed